'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgAudio = function SvgAudio(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Audio_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "m43.338 10.86-30.36 14.245H.547a.52.52 0 0 0-.386.174.63.63 0 0 0-.16.422v28.621c0 .159.058.31.16.422a.52.52 0 0 0 .386.175H12.98l30.348 14.197a.45.45 0 0 0 .219 0 .6.6 0 0 0 .306-.095.6.6 0 0 0 .178-.218.64.64 0 0 0 .062-.284V11.41a.6.6 0 0 0-.06-.285.6.6 0 0 0-.178-.217.495.495 0 0 0-.516-.047M1.092 26.299h11.46v27.379H1.092zM43 67.659 13.644 53.882V26.096l29.365-13.78V67.66zm16.79-47.402c4.433 5.433 6.882 12.458 6.882 19.737 0 7.28-2.45 14.304-6.881 19.737l.82.8c4.608-5.65 7.155-12.955 7.155-20.525S65.22 25.131 60.61 19.481zM69.252 10l-.797.812C75.177 18.756 78.911 29.179 78.911 40s-3.734 21.244-10.457 29.188l.797.812C76.161 61.835 80 51.122 80 40s-3.838-21.835-10.749-30M50.854 29.976c2.1 2.832 3.245 6.367 3.245 10.012S52.954 47.168 50.854 50l.852.752c2.266-3.032 3.498-6.83 3.485-10.746-.005-3.912-1.235-7.704-3.485-10.746z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Audio_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgAudio;
